# Installation ESX

{% hint style="warning" %}
You should have read and done the [*How to set it up*](/0resmon/wais-resoucres/wais-multicharacterv2/how-to-set-it-up.md) page before proceeding with these steps.
{% endhint %}

***

{% hint style="danger" %}
**First of all, do this.**
{% endhint %}

* Go here: es\_extended/config.lua
* Find the <mark style="background-color:orange;">Config.Multicharacter</mark> Variable and set its value to <mark style="background-color:orange;">**true only**</mark>
* <mark style="background-color:orange;">The old default state. We will delete it and replace it with true.</mark>
* <pre class="language-lua"><code class="lang-lua"><strong>Config.Multichar = GetResourceState("esx_multicharacter") ~= "missing"
  </strong></code></pre>
* ```lua
  Config.Multichar = true
  ```

{% hint style="info" %}
Remove or Disable them esx\_identity, esx\_multicharacter
{% endhint %}

***

## Connecting Multicharacter to ESX

Let's go inside the <mark style="background-color:orange;">Wais-multicharacterv2</mark> folder and open the <mark style="background-color:orange;">Config.lua</mark> file with an editor.

Change the <mark style="background-color:orange;">Config.Framework</mark> variable in the first lines of the Config file as below.

```lua
Config.Framework = {
    ["Framework"] = "esx", -- esx or qbcore
    ["ResourceName"] = "es_extended ", -- es_extended or qb-core or your resource name
    ["NewCore"] = true, -- If you use the new core, set this to true ( esx or qb ). If you are using the old one, make it false and edit the event below according to yourself.
    ["SharedEvent"] = "esx:getSharedObject" -- Event name for old cores.
}
```

{% hint style="danger" %}
If the name of the **core** script is different, replace the value of the `[“ResourceName”]` variable with the script name

`[“ResourceName”] = "your core resources name"`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-multicharacterv2/installation-esx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
